Bug 896265 - Unable to enable repos for EUS product
Unable to enable repos for EUS product
Status: CLOSED ERRATA
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Content Management (Show other bugs)
6.0.1
Unspecified Unspecified
unspecified Severity high (vote)
: Unspecified
: --
Assigned To: Brad Buckingham
Corey Welton
: Triaged, ZStream
Depends On: 866983
Blocks:
  Show dependency treegraph
 
Reported: 2013-01-16 17:35 EST by Chris Pelland
Modified: 2014-09-18 11:31 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
CloudForms System Engine would not fetch Extended Update Service (EUS) entitlements. This blocked the user from seeing and enabling EUS repositories. This fix revises the manifest upload and deletion code, which also corrects the behaviour for fetching entitlements. System Engine now fetches EUS entitlements.
Story Points: ---
Clone Of: 866983
Environment:
Last Closed: 2013-02-21 14:07:14 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
screenshot (24.82 KB, image/png)
2013-01-28 16:25 EST, Corey Welton
no flags Details

  None (edit)
Comment 6 Corey Welton 2013-01-28 15:01:16 EST
I've imported a RH AUS/EUS manifest and upon going to Repositories > Red Hat Repositories, they are not showing up.  Asking omaciel to confirm my findings on his own test system(s).
Comment 7 Corey Welton 2013-01-28 16:25:03 EST
Confirmed neither I nor omaciel am seeing the repos show up.  Attaching a screenshot of what I get, post-manifest import.
Comment 8 Corey Welton 2013-01-28 16:25:35 EST
Created attachment 689346 [details]
screenshot
Comment 10 Brad Buckingham 2013-01-29 10:47:46 EST
I installed the latest compose and was able to import a couple of manifests created last week (1/22).  One was with EUS along with base products and the other was EUS without base products.  In each of those case, the repos are shown properly after the import.

Not sure yet the issue with the manifest used in comment #6; however, I've provided the manifests I used to QA.
Comment 11 Corey Welton 2013-01-29 16:15:59 EST
The base issue in this bz appears to be the idea that after (succesfully) importing an EUS manifest, the repos did not appear in the UI... which is what I encountered in comment #6 and comment #7. 

Upon being supplied with updated EUS manifests, one of them failed to import; the other did import and subsequently did show me repos and allow me to select them.

Failed import would be a different issue altogether, which I will look into separately.  However, for the core issue here, I think we're ok.
Comment 12 Corey Welton 2013-01-29 17:07:34 EST
Upon further trial, I was able to import the other manifest after all - it seems it has something to do with not being able to import multiple manifests, even if they are different and using different orgs.  This is definitely an unrelated issue.

This bz, however, can be considered Verified.

CloudForms System Engine Version: 1.1.12-26.el6cf
Comment 16 errata-xmlrpc 2013-02-21 14:07:14 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-0547.html
Comment 17 Mike McCune 2013-08-16 13:58:49 EDT
getting rid of 6.0.0 version since that doesn't exist

Note You need to log in before you can comment on or make changes to this bug.